{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = TGRP_CODE; 
            externalType = VARCHAR2; 
            name = tgrpCode; 
            valueClassName = NSString; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (cStructure, tgrpCode, dCreation, dModification); 
    className = EORepartTypeGroupe; 
    classProperties = (cStructure, tgrpCode, dCreation, dModification); 
    externalName = REPART_TYPE_GROUPE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_clientClassPropertyNames = (cStructure, tgrpCode); }; 
    name = RepartTypeGroupe; 
    primaryKeyAttributes = (cStructure, tgrpCode); 
}
